summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/ConfigArgParse/ConfigArgParse-1.5.5.ebuild35
-rw-r--r--dev-python/ConfigArgParse/Manifest2
-rw-r--r--dev-python/Faker/Faker-18.11.2.ebuild34
-rw-r--r--dev-python/Faker/Manifest2
-rw-r--r--dev-python/Manifest.gzbin262595 -> 262622 bytes
-rw-r--r--dev-python/boto3/Manifest2
-rw-r--r--dev-python/boto3/boto3-1.26.162.ebuild66
-rw-r--r--dev-python/botocore/Manifest2
-rw-r--r--dev-python/botocore/botocore-1.29.162.ebuild79
-rw-r--r--dev-python/configshell-fb/Manifest2
-rw-r--r--dev-python/configshell-fb/configshell-fb-1.1.30.ebuild33
-rw-r--r--dev-python/django-tables2/Manifest2
-rw-r--r--dev-python/django-tables2/django-tables2-2.6.0.ebuild52
-rw-r--r--dev-python/fitsio/Manifest2
-rw-r--r--dev-python/fitsio/fitsio-1.1.10.ebuild46
-rw-r--r--dev-python/humanize/Manifest2
-rw-r--r--dev-python/humanize/humanize-4.7.0.ebuild28
-rw-r--r--dev-python/hypothesis/Manifest2
-rw-r--r--dev-python/hypothesis/hypothesis-6.80.0.ebuild90
-rw-r--r--dev-python/multipledispatch/Manifest2
-rw-r--r--dev-python/multipledispatch/multipledispatch-1.0.0.ebuild30
-rw-r--r--dev-python/portend/Manifest2
-rw-r--r--dev-python/portend/portend-3.2.0.ebuild28
-rw-r--r--dev-python/pypdf/Manifest3
-rw-r--r--dev-python/pypdf/pypdf-3.11.1.ebuild56
-rw-r--r--dev-python/tempora/Manifest4
-rw-r--r--dev-python/tempora/metadata.xml1
-rw-r--r--dev-python/tempora/tempora-5.5.0.ebuild33
28 files changed, 638 insertions, 2 deletions
diff --git a/dev-python/ConfigArgParse/ConfigArgParse-1.5.5.ebuild b/dev-python/ConfigArgParse/ConfigArgParse-1.5.5.ebuild
new file mode 100644
index 000000000000..25887a58a083
--- /dev/null
+++ b/dev-python/ConfigArgParse/ConfigArgParse-1.5.5.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Drop-in replacement for argparse supporting config files and env variables"
+HOMEPAGE="
+ https://github.com/bw2/ConfigArgParse/
+ https://pypi.org/project/ConfigArgParse/"
+SRC_URI="
+ https://github.com/bw2/ConfigArgParse/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+src_test() {
+ local -x COLUMNS=80
+ distutils-r1_src_test
+}
diff --git a/dev-python/ConfigArgParse/Manifest b/dev-python/ConfigArgParse/Manifest
index 4d5230331869..d5ba90297da7 100644
--- a/dev-python/ConfigArgParse/Manifest
+++ b/dev-python/ConfigArgParse/Manifest
@@ -1,3 +1,5 @@
DIST ConfigArgParse-1.5.3.gh.tar.gz 32732 BLAKE2B a9dec6b3ebbb7aed000651adf76ac76994b56d00236789a75f7da6ccc76e6b87e0dd292c260a768c0d402811b69e55d417b25032363429535cef4e09e0be5d00 SHA512 bdc0340bd92cfd5319743a4860af80fc2352f38b156031856c2b39b8c8ad59461281009030c4451dd464334a829b8143c765979cfc9b8ccbe9fbdcb0e08ac7b4
+DIST ConfigArgParse-1.5.5.gh.tar.gz 37249 BLAKE2B 22eb4e0903e6eaada50782fe68ed8f19ef20685d3d1ea7fcb103cebd75f7cc16db53b89696e35f7ac902061b9a71646c04da79347b66c2557924b70dd38eef66 SHA512 fc9229d12fcc8da3b001d75d10829e1eef4ec0624b89ad319e840bea9a795d3d575a3760538f13a30bd1e778a27a7620486d7cb199fff9df5535017a7fef4a4c
EBUILD ConfigArgParse-1.5.3.ebuild 704 BLAKE2B 5e4c62e4b1447da6ca56924389cfb17c95b791c351792296fd8682cc0d9f8a964d5951bed387a9e5f4a82a3a06d03948f4f6f479fbf8a1c14e945e06325ff1f0 SHA512 9bd277d9dda174337a02aea56c2c64b2312bfaa0279ebc9e86885efb2b22e7fdf899db1284e592c0b530aa37c08e4ece79d6fc2a3eff61576635b8468b3d6cbd
+EBUILD ConfigArgParse-1.5.5.ebuild 707 BLAKE2B 6ffba4a4e980837a03db11f51d8d0cb09a7ea789d383c2e91b7cfbee41d7b86c3fcdfe53ef380297c8ed796214a0b24c59aa2f98de5731c3e15d4a6b3e6952ad SHA512 8513cd3c308645203646d78a40f09f97a726818ab1054c369f05ecfe34b13da87f99a38c2850426fee3d25ba34e9530eefbe6894902ab41a0a31e39f1965c060
MISC metadata.xml 413 BLAKE2B 06bc019926862278b7c7a0f602f737f0ee20df1271bfd4ccd2e96e602b537403ae641f4196496ed0af92830a457af330def85f4d4b30ae2733510b82c0589310 SHA512 df63096d97d9835ee72b03ee144cb1cbed4f29644380c8711718b570938e0ed1dff9bca15b77c91df052f3f68e10633d1880d553cb8c8d7e1827714355dd8593
diff --git a/dev-python/Faker/Faker-18.11.2.ebuild b/dev-python/Faker/Faker-18.11.2.ebuild
new file mode 100644
index 000000000000..48c456a2d7b5
--- /dev/null
+++ b/dev-python/Faker/Faker-18.11.2.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Python package that generates fake data for you"
+HOMEPAGE="
+ https://github.com/joke2k/faker/
+ https://pypi.org/project/Faker/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
+ !dev-ruby/faker
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP},tiff]
+ dev-python/validators[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/Faker/Manifest b/dev-python/Faker/Manifest
index a45ec3011aa2..a940cc11e351 100644
--- a/dev-python/Faker/Manifest
+++ b/dev-python/Faker/Manifest
@@ -1,7 +1,9 @@
DIST Faker-18.10.1.tar.gz 1670142 BLAKE2B e1ecd65e0f4a26239d04761048faeeb40987cfe73ea3cfbc1344c5fb342a658efc994b4c5e53b171d68e8ac5c0550973913e2a83c728e24bd64e954509791ea9 SHA512 bfde74d2bbbc1b6055d094b0fc881bec7f050d2a980638a5ea577a345863737dd66b794204530d0db6daaf06e453e1d95ad07d479af62147176d535688b584b9
DIST Faker-18.11.1.tar.gz 1670237 BLAKE2B 6c8572f4883d71a8f94535605ea53aba3fe2e0d9f8281cb207248a5a6d119055e49ce95b50d175e508d65b8186fe89ba0fbc21b0f9db19c4cc67c02defebbfdf SHA512 e8cc65d1a1efc70e76a3a1286950553bc8a998cdeaa06e45da58609f8418e34cc34c0d759f0488b84fbb94deaa4e1ba24e547ae5f9126c95a401f137fa660786
+DIST Faker-18.11.2.tar.gz 1670644 BLAKE2B 0496e9d2169932fd158b8eb62693d1c7f833c00c93fa75b35d747bec1a9e81247977b307faef6cb2526c0042716b080b160fc93cf8d9543a1e2bb3a477f815e6 SHA512 9b54485836d8e4cf66c0ebc9807770f77867a9ab634bc5a465811fe0c2d79c0ec1ab5360bb5f69e9f603026094b4c969a4ad1b98c0c6b21e7fb740d5a17af5b8
DIST Faker-18.9.0.tar.gz 1667357 BLAKE2B e1086168201969a1a0410d7bb6e97bdf31d0f470d6e39f011b8d62733818a4d5108a1ea058d19f41922efafc0a056bffe14f76ff1a77c9599097a3d172d0accb SHA512 9ad60cc30121405fdac38ef479ca1f8bf9114a599575caeded5be4fb8fed80a3268ad02705217ab0ce006e017d2aae7be3c1b50cacddc49bc16cdeb9bc9347c9
EBUILD Faker-18.10.1.ebuild 684 BLAKE2B ba5534b18ff5724badc958119e79253c9048be857a726297d9dccc7bd8a09c2dd9781fcd4c299624abe7f780d70988d3f9ffbdf40af6a93fd595154c3236ab86 SHA512 260d0a22270b6faaf1547f18c07a969703f763a7f3ed339a9f4be1e447375faa7910312f08faa00b95977c4dedbc713edf4e76792535d843b2efa5d5947b9993
EBUILD Faker-18.11.1.ebuild 684 BLAKE2B ba5534b18ff5724badc958119e79253c9048be857a726297d9dccc7bd8a09c2dd9781fcd4c299624abe7f780d70988d3f9ffbdf40af6a93fd595154c3236ab86 SHA512 260d0a22270b6faaf1547f18c07a969703f763a7f3ed339a9f4be1e447375faa7910312f08faa00b95977c4dedbc713edf4e76792535d843b2efa5d5947b9993
+EBUILD Faker-18.11.2.ebuild 684 BLAKE2B ba5534b18ff5724badc958119e79253c9048be857a726297d9dccc7bd8a09c2dd9781fcd4c299624abe7f780d70988d3f9ffbdf40af6a93fd595154c3236ab86 SHA512 260d0a22270b6faaf1547f18c07a969703f763a7f3ed339a9f4be1e447375faa7910312f08faa00b95977c4dedbc713edf4e76792535d843b2efa5d5947b9993
EBUILD Faker-18.9.0.ebuild 683 BLAKE2B 0fb9d3e47332f09bab0294fb6b216831bcea180ff940cb6b9647405097026af0c6f3a5b872e7f64e8420947e0886693524ed068abf15c63be8c14639681e34b8 SHA512 14ad06864e4d307d6a7f996da49313d335ed9039c1c34c3b73c589d9064ccf3053cfe0a04e58094293a3532a5c80afd9f546aa6f90cae0acc78dd515fcf02e2f
MISC metadata.xml 498 BLAKE2B c9b7885dc7d34f2263068624a6b07ac6f1ec8078cc11abb6137612ba57edffefc48dae2708284aa83ecc941ebb2d3b8a87a143648e404a0683e75bb6c078f4e2 SHA512 0b385bbbfbb026803526e43c6c43965ff75f42d3ab133603708b187686aac29de508856e5e8ae7622a66b99032efa97f95c21625e10d074c858d8aff7446a312
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index 5663051228e7..da2e1eaed9b7 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index f7ea7b34f907..7fe99d80c3ff 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -11,6 +11,7 @@ DIST boto3-1.26.158.gh.tar.gz 667274 BLAKE2B e507fc9d404fabeb179524408c883ae5311
DIST boto3-1.26.159.gh.tar.gz 667712 BLAKE2B 6604ba81b3c52dba19d31a92b8e800958abbc5927f6513eff688c7dacb7db9f16927402336113a33a4a8d6da9440b1f91323b18957be77137eff351aae3ef550 SHA512 a5ba427bb5b5cd3e60b668cd4f9923ddf4f5e3341aa219a599c1b15b27bc22d6c6e3a07b38e75ad302cd15ecb3e2bfd42570e7bd4007929345b9f61eb3a853fe
DIST boto3-1.26.160.gh.tar.gz 667890 BLAKE2B 2d081604ea94a6fece2c6839c0be339fa2ff3f8c4eba5b882eb45597646ef8efc0294abb58f9233e3fe1ec445131a91701ddf8771220275c13c34af9813cd8e6 SHA512 2a427e63fc61581a873a75ea2b0fe4329cc55ea61e7c99049d8d24c3cb676490a66efa9d6236b90ba6d7c41208a90a60b04dac53ff8243952d64134abff4ba82
DIST boto3-1.26.161.gh.tar.gz 668281 BLAKE2B 3c0500449c202c385e1f4aa3c29b41e166756ebad344257beed5dbfd9c3ca6bee19b8d6c9338f4bd34242613968a4bf074158d267c74b62d3d8d5f47b8aef188 SHA512 91c8f43b47b5b2a67e58a14924dd436e2f07b6a14d2a3b9698d7e63d140db98a96af9856a3b11b95e87ea232f5b250378f303acc7d756daac9eab3ad17180c12
+DIST boto3-1.26.162.gh.tar.gz 669402 BLAKE2B 33b945dade4486c0f7069c2209d0877fd3e6886d963139aed7716321d26ed92573486465580161799be92ac427da0dbb8fbfdb604db841af505e7dffbbef1c6f SHA512 e0ad04b82a79ec028157f88e1a3c95a7156ecef8b5b869624637896ffc62aa93608d17436e931a8b240fb2f47574ae8de04e34eeb6270f821c95dfa0f62d8f1a
EBUILD boto3-1.26.142.ebuild 1508 BLAKE2B 42be8b915da646a7afe6dfc988542d3d79b5dbdc565d2e738d210e3f77b7c5ba6dfbac45e46b9cc3cc4770611cbc0c155abc7f1807ff0cb8e6033f927bea4048 SHA512 06404c0363c0c7c0d378d1c2b91073c137a1685d2d846d98c655e6d001df5cde0eb51bf6e160879af2b56321a02e84146ce634855f70c7c3fbbd1adbb9b8ef8e
EBUILD boto3-1.26.146.ebuild 1515 BLAKE2B 611fec92e11c2c75d95e39043931611ad3396698f6868ff4b60391eb8353e71a824613ab8a1dc96c9640cc2f933ba761c47628acf7be917abe0039628b38a071 SHA512 475e2648fea04db00eb4fd70e48a7599c758cf8e225caa6250b222293bd9aa662d962c6d6db730040680256e61131301571675f3e1470735217f950abf2c3497
EBUILD boto3-1.26.151.ebuild 1515 BLAKE2B 611fec92e11c2c75d95e39043931611ad3396698f6868ff4b60391eb8353e71a824613ab8a1dc96c9640cc2f933ba761c47628acf7be917abe0039628b38a071 SHA512 475e2648fea04db00eb4fd70e48a7599c758cf8e225caa6250b222293bd9aa662d962c6d6db730040680256e61131301571675f3e1470735217f950abf2c3497
@@ -24,5 +25,6 @@ EBUILD boto3-1.26.158.ebuild 1515 BLAKE2B 611fec92e11c2c75d95e39043931611ad33966
EBUILD boto3-1.26.159.ebuild 1515 BLAKE2B 611fec92e11c2c75d95e39043931611ad3396698f6868ff4b60391eb8353e71a824613ab8a1dc96c9640cc2f933ba761c47628acf7be917abe0039628b38a071 SHA512 475e2648fea04db00eb4fd70e48a7599c758cf8e225caa6250b222293bd9aa662d962c6d6db730040680256e61131301571675f3e1470735217f950abf2c3497
EBUILD boto3-1.26.160.ebuild 1515 BLAKE2B 611fec92e11c2c75d95e39043931611ad3396698f6868ff4b60391eb8353e71a824613ab8a1dc96c9640cc2f933ba761c47628acf7be917abe0039628b38a071 SHA512 475e2648fea04db00eb4fd70e48a7599c758cf8e225caa6250b222293bd9aa662d962c6d6db730040680256e61131301571675f3e1470735217f950abf2c3497
EBUILD boto3-1.26.161.ebuild 1515 BLAKE2B 611fec92e11c2c75d95e39043931611ad3396698f6868ff4b60391eb8353e71a824613ab8a1dc96c9640cc2f933ba761c47628acf7be917abe0039628b38a071 SHA512 475e2648fea04db00eb4fd70e48a7599c758cf8e225caa6250b222293bd9aa662d962c6d6db730040680256e61131301571675f3e1470735217f950abf2c3497
+EBUILD boto3-1.26.162.ebuild 1515 BLAKE2B 611fec92e11c2c75d95e39043931611ad3396698f6868ff4b60391eb8353e71a824613ab8a1dc96c9640cc2f933ba761c47628acf7be917abe0039628b38a071 SHA512 475e2648fea04db00eb4fd70e48a7599c758cf8e225caa6250b222293bd9aa662d962c6d6db730040680256e61131301571675f3e1470735217f950abf2c3497
EBUILD boto3-9999.ebuild 1514 BLAKE2B 5d31d27ac50ed037fb8be61559bac03bd2a8c63f3220ac93ecc864c0e3cbd34763b9b70761a9f364cbc85a0edd84c6f6eeff614292f31473b4935e5bb86fae7b SHA512 26bd2959c745f0e423d683d2fedeab9a438d215fa9b28b403d0cea81caac7436f05382b2a91a183bc1095f3b205e3b2115f931cd7803e0b9838c2a507562da5c
MISC metadata.xml 493 BLAKE2B 7d6324fc877ffe1d20c5369c2af0b09a7028f94d28f1841188913d0d8be7ea699c9d3f92c624992c4c96bd69615d3a1211a2483c76c56b7d3082492e43512523 SHA512 44420d8c03d5986f990b76369edfa8dfd7659b4952db3ad946fd05392ec594628a28745ad888d055d4f074d5214f61fcffafe6c04c4ab54109d45ac0371582bd
diff --git a/dev-python/boto3/boto3-1.26.162.ebuild b/dev-python/boto3/boto3-1.26.162.ebuild
new file mode 100644
index 000000000000..2a4a7643203e
--- /dev/null
+++ b/dev-python/boto3/boto3-1.26.162.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 95cdff67bdda..1a892e9885d0 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -11,6 +11,7 @@ DIST botocore-1.29.158.gh.tar.gz 11687611 BLAKE2B dde78cc51bde5e7f49054d5954ddaf
DIST botocore-1.29.159.gh.tar.gz 11694696 BLAKE2B 8643d3beb049b8ab153fda947801b862926f4160586d29831c0a1d6fef7e3caed2c2ff83bdffe1d61f49f81a11aa9dcc57b3c2d2419e21ccc543cc40a3532308 SHA512 782d051749f5a998cf93878e53b3f12e4fde36712708adff58f1e720e83f79f4330410725e0a8b097f5ca425cc093dfea8e746afedeceb582a3e82c7fd169477
DIST botocore-1.29.160.gh.tar.gz 11695537 BLAKE2B e60b8ec0ea50fa13e61acd8f5cbc4f908c0d95916733e6ebdf11c2387e1a13efee611070fb72e37ca3e3058888d3acd6debdd67bfc973528c7674c760a3bd865 SHA512 42c6d02df87b12143248ecd314d5b9ebcf47900da975addc8343187c7bd35ec3c41118ba8c9482d9e152e5352a95111ccd93f425e215fdeeeee4ee991803bfa1
DIST botocore-1.29.161.gh.tar.gz 11703652 BLAKE2B 5afe53ae3e765d5cb01a858a6ad96ab2f493c669e9d4aa0ce105e288d72760ca1bb82265e51c844a1f4875fc4efa3b7f1e662ed28b057d24afb5a94da0d99e33 SHA512 54ca99ae85354d1a582547e525ddc4d4828ddeac0ff91e29e5e73f91e113b6e3621aec9c71b7e86f7316a4d3d6424bdc0149a9649d85e7351274194d2dc65ac3
+DIST botocore-1.29.162.gh.tar.gz 11720182 BLAKE2B 38ab0a8e5c466417427d559a5646d8e2025c43f4554ca8380bd0a1d47faadddb6bc8feed297b02e3cc05f9cf9c079628b0c0a8dce4b8908dd28923de2f4e7273 SHA512 29a2882fedc63f5b59906e9648d3811c441e3901c546a8cf5a0c2079f44a82b3c1aeeaea2efbafb833748c046e749a6d1b127c2fe74d4748289228304782ef2c
EBUILD botocore-1.29.142.ebuild 2478 BLAKE2B 12b452c39c98b793a4f15b9a8e8b082ba77dcf677a7c529d2d4b8b81d729403597e071da7d2c98e5e4ed65778e19ea881c6993cf3405e7f80ad20a078fa18a63 SHA512 5118842311b8971e9d2b9f03a45f496caef3b95cfa79334f77097430d569cab7ac1261dcab3fe13236ecad3907936ae49eea87620a12304ae6cf6798639deb47
EBUILD botocore-1.29.146.ebuild 2485 BLAKE2B f7c931df1cf3c88ac69706626687c7c96d98c055d54969a36872f91a44028567f2a405a8cb6ce729b78a2f99655a6989db07c57a5e0333b897996e98c401e275 SHA512 9d6f15f5b7035cfc63eeb8e86710eaecb765c20c47b018f834d806212d3ec7506562f7b162886bdcc9cd4e15d8ffd776b1f51c890dbbfadacefec5e787d13b44
EBUILD botocore-1.29.151.ebuild 2485 BLAKE2B f7c931df1cf3c88ac69706626687c7c96d98c055d54969a36872f91a44028567f2a405a8cb6ce729b78a2f99655a6989db07c57a5e0333b897996e98c401e275 SHA512 9d6f15f5b7035cfc63eeb8e86710eaecb765c20c47b018f834d806212d3ec7506562f7b162886bdcc9cd4e15d8ffd776b1f51c890dbbfadacefec5e787d13b44
@@ -24,5 +25,6 @@ EBUILD botocore-1.29.158.ebuild 2485 BLAKE2B f7c931df1cf3c88ac69706626687c7c96d9
EBUILD botocore-1.29.159.ebuild 2485 BLAKE2B f7c931df1cf3c88ac69706626687c7c96d98c055d54969a36872f91a44028567f2a405a8cb6ce729b78a2f99655a6989db07c57a5e0333b897996e98c401e275 SHA512 9d6f15f5b7035cfc63eeb8e86710eaecb765c20c47b018f834d806212d3ec7506562f7b162886bdcc9cd4e15d8ffd776b1f51c890dbbfadacefec5e787d13b44
EBUILD botocore-1.29.160.ebuild 2485 BLAKE2B f7c931df1cf3c88ac69706626687c7c96d98c055d54969a36872f91a44028567f2a405a8cb6ce729b78a2f99655a6989db07c57a5e0333b897996e98c401e275 SHA512 9d6f15f5b7035cfc63eeb8e86710eaecb765c20c47b018f834d806212d3ec7506562f7b162886bdcc9cd4e15d8ffd776b1f51c890dbbfadacefec5e787d13b44
EBUILD botocore-1.29.161.ebuild 2485 BLAKE2B f7c931df1cf3c88ac69706626687c7c96d98c055d54969a36872f91a44028567f2a405a8cb6ce729b78a2f99655a6989db07c57a5e0333b897996e98c401e275 SHA512 9d6f15f5b7035cfc63eeb8e86710eaecb765c20c47b018f834d806212d3ec7506562f7b162886bdcc9cd4e15d8ffd776b1f51c890dbbfadacefec5e787d13b44
+EBUILD botocore-1.29.162.ebuild 2485 BLAKE2B f7c931df1cf3c88ac69706626687c7c96d98c055d54969a36872f91a44028567f2a405a8cb6ce729b78a2f99655a6989db07c57a5e0333b897996e98c401e275 SHA512 9d6f15f5b7035cfc63eeb8e86710eaecb765c20c47b018f834d806212d3ec7506562f7b162886bdcc9cd4e15d8ffd776b1f51c890dbbfadacefec5e787d13b44
EBUILD botocore-9999.ebuild 1736 BLAKE2B 6ca7ea14855f5f8db2d166ba1f29835d4c994a0a8fa38f3852406289a4465c091909562ac678f1c0bf7e640a594731b0d4319efc0f34f6bc640fbae06746c4bc SHA512 f891bf0eded88d9af3b87fc7c9ee4c6a129d263e672821f3b9654d43bb3bcac41305b834192088d15b50f3f9d36ea95374180cf13e1cb67149595ec63e4cc155
MISC metadata.xml 499 BLAKE2B e5aaa7da26f200c09adfdf38b68f656bbccbec627cb5d966b280ac2165334e7eec659c89075bcace748f58e2ec3e7d2998e54a688d56ecea2d30653c67dfd35a SHA512 103c554d5dbd967bf9b6e418b3913d9235e7e910d012160909ce0715134ed2e37b06e6a345395f9d16ce08d1cf51f3ce458bce93c6a978fd3dca6610f2acdbd0
diff --git a/dev-python/botocore/botocore-1.29.162.ebuild b/dev-python/botocore/botocore-1.29.162.ebuild
new file mode 100644
index 000000000000..3ced99abe4ff
--- /dev/null
+++ b/dev-python/botocore/botocore-1.29.162.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ # fails on unrelated warnings
+ tests/unit/test_client.py::TestAutoGeneratedClient::test_BOTO_DISABLE_COMMONNAME
+ tests/unit/test_client.py::TestClientErrors::test_BOTO_DISABLE_COMMONNAME
+ # TODO
+ tests/functional/test_credentials.py::SSOSessionTest::test_token_chosen_from_provider
+ # urllib3-2 compatibility, mock relies on implementation details
+ tests/unit/test_awsrequest.py::TestAWSHTTPConnection::test_expect_100_continue_no_response_from_server
+ tests/unit/test_awsrequest.py::TestAWSHTTPConnection::test_expect_100_continue_returned
+ tests/unit/test_awsrequest.py::TestAWSHTTPConnection::test_expect_100_continue_sends_307
+ tests/unit/test_awsrequest.py::TestAWSHTTPConnection::test_expect_100_sends_connection_header
+ tests/unit/test_awsrequest.py::TestAWSHTTPConnection::test_handles_expect_100_with_different_reason_phrase
+ tests/unit/test_awsrequest.py::TestAWSHTTPConnection::test_state_reset_on_connection_close
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/configshell-fb/Manifest b/dev-python/configshell-fb/Manifest
index b4fa6f2d51d8..dd2cc1e1c299 100644
--- a/dev-python/configshell-fb/Manifest
+++ b/dev-python/configshell-fb/Manifest
@@ -1,5 +1,7 @@
DIST configshell-fb-1.1.29-replace-getargspec-1.patch 1398 BLAKE2B 650efe1dad551ad040001cb2f576311806d329bd430874e1dac38a5cb94c4801140f32b628e0089809214466613e8f207ba3aff1a87dd8ca29c05593b551e5d7 SHA512 59c320939d4590dc2933de7d0ad613efd7236868fd898ce1edadbc55d1ecd8667e28a5c03caa80ea12420db3dd0e4de8c36ef5528352920d98acfd881648154a
DIST configshell-fb-1.1.29-replace-getargspec-2.patch 2981 BLAKE2B 88400de96d329c0efd2a9e9cb41f1c53e62c28507439c405874726fccc6093d5fe37e52b6e4b811bf0ccc7616c9a26b83b17e39a257aeab3c4114e1486a32575 SHA512 621b125cde9fcc68f46a3a32fd78190a46f900ec808233a60c4beb22c6109165f0743a341991e6c556dc5a76b7c6a42b703f2a6be91915110f196845a3fa111c
DIST configshell-fb-1.1.29.gh.tar.gz 33192 BLAKE2B 6c9c2146a597572675611afe259122b0ec9614295c4b9b4056d7a16f35004700b1e6fc29e1bf868d9ba6291b781ca35eab77e8adf23c6d23e09de2fb94626f26 SHA512 1b5f573506317119d2420e415abbb856692caa65a7f407f741300eec302d1b442e29d2691f6a192b202b2a5731a7a179d1b03f6cd27780876194d97e4df5f7d0
+DIST configshell-fb-1.1.30.gh.tar.gz 33179 BLAKE2B 8664ec42727fb9bd41600c2844b9b59423c21040e6efc201f40b54abf6d788fa5237d38e2795d0d19706303d99e7ea859b399fd5f122cb04effc643a33b264ac SHA512 b3189130ac047fe28ea987391591b7886f7234864d455a8423d1d65b02a514511e2a32dce1429a6b71cedbc0b7cb6e6e10f29d240b746d222c285f0baa6b46b0
EBUILD configshell-fb-1.1.29-r2.ebuild 1569 BLAKE2B 91663aab642a192425d862f367bc0d307a12063dff5fb4b4a51e2f9dfe9ddf13cfffd73d05a723ce8f0c6d5a6bd54cd473d046830b7540499355835e758c454a SHA512 22b7344090c635bf138e8deb0c8a5c0c00b3b68fd213c0f0eb26674693c14962a321d8fab333af53626e098c43a3b8bf77e45b3fb7a2a651b3f6f4a6ac8fa66a
+EBUILD configshell-fb-1.1.30.ebuild 808 BLAKE2B d8e8db152f2be46ba1371fe22e3cff5bfc6687bf84ded5cdfbbefe44385842e3801d50630507df240edc43b4252bc3dda4a47b4f6a3bb1f96e050d08fc855718 SHA512 8231785847ba0f7c3a93cb7e166453619a0c7afad94efe98e26ee4db2509b16025ecbc944c245626f03c2691bf7682f7b0b426b7d81494ebce2ae6ec35544dcd
MISC metadata.xml 789 BLAKE2B fc1e6e767a4b869c7cfade0a030133a746acdea98b9991740eb82a74f82eb29d495807682a1d521667162ba39a68c966c78ff1e39338d1273d173915e6401a61 SHA512 76a628ddb64f2ce5e0fa09faef29cb7b643e03cee337b9b3554d3a6ac3873be64b8fc66067c93087938e71473f0e2ae3af0a50f0a3b19195b87d69680ded5cd8
diff --git a/dev-python/configshell-fb/configshell-fb-1.1.30.ebuild b/dev-python/configshell-fb/configshell-fb-1.1.30.ebuild
new file mode 100644
index 000000000000..36b81de5ff30
--- /dev/null
+++ b/dev-python/configshell-fb/configshell-fb-1.1.30.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="A Python library for building configuration shells"
+HOMEPAGE="
+ https://github.com/open-iscsi/configshell-fb/
+ https://pypi.org/project/configshell-fb/
+"
+SRC_URI="
+ https://github.com/open-iscsi/configshell-fb/archive/refs/tags/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ dev-python/pyparsing[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/urwid[${PYTHON_USEDEP}]
+"
+
+python_test() {
+ "${EPYTHON}" examples/myshell || die "Test failed with ${EPYTHON}"
+}
diff --git a/dev-python/django-tables2/Manifest b/dev-python/django-tables2/Manifest
index 00b4eff1598f..3cb9cf36f771 100644
--- a/dev-python/django-tables2/Manifest
+++ b/dev-python/django-tables2/Manifest
@@ -1,3 +1,5 @@
DIST django-tables2-2.5.3.gh.tar.gz 431016 BLAKE2B 5564cd1ea19ffd7de83f949103bb5a56f987efd1e8a0cb356a0455c2244118b60c7ef78eb8fc7e57e023007046c51b4717470ee3542e1ed8a84b65e481455e75 SHA512 61b79e9fd8c2ea69afe88d7f2dd7f7015e53a6b68800c769106214bbc5818bc4f5b30eebe2d190cd6cc3a36686978befcc9b88fb4a0a7930f5bb37c608345e30
+DIST django-tables2-2.6.0.gh.tar.gz 431368 BLAKE2B 56896a416599e6f4293202ca945bf808c99ce08c4b5f53848919c3a32590e18d867e694fe7c989fdb855a5cdaf94350199c65735078c0d312d1f4f0a556ed9ae SHA512 29cabb777ed102dfde4d24836c5952bf892c7c8e3c5e5f608e00fd1aa4eecc33c6a2b1be1fd07617b354d7de34215d501592c53033d6f48c29e89ab68fdcb22d
EBUILD django-tables2-2.5.3.ebuild 1084 BLAKE2B 7a0f1e7e6b9a1f54abe8e967055c066aa191b22d769e0b975acbd29a50f4c1307e6494b611fcd53802edba513917cce3eef860629b57499604b4b941bacd4312 SHA512 8b8a600397fd996f5292cb8ead46e36a04b2c86bbc12f3a3f3aba1c36c9e836a3528b6b1135e604f963b69b46489db03ce1b969fdd5666292526dce169c438c8
+EBUILD django-tables2-2.6.0.ebuild 1085 BLAKE2B e6afb5fd22a14086f3544b612abc668b5743eb93f0664d604d659d001f6d1498c58f9f34de5ab0f2da65eb21945196b03accc34171742b9838ba407f29ac73c1 SHA512 01f544d4a406c900ba26fb96c2189e69d8b480f6b455650c2bf4091bf43fddfb229a31d4f81de7fa3cce751126a5f4ca7a21bca0110230f33141761a23fc1879
MISC metadata.xml 416 BLAKE2B f63a86611d3d5805c63f14c75851d6283f12777fce462a796c205ca4141fd5d5a321a7173f2b8bda70d67a3db5935864ca632e6858757626ed632fe3ec6874fb SHA512 1cf202a6a5fcbe86157ba8bf71f5c0c8df2c4393dcc955b2ad37e4f2164a33e241287bed237116df298e6a062a861ec99f3326d13f8f5845891556eb36d9bbf3
diff --git a/dev-python/django-tables2/django-tables2-2.6.0.ebuild b/dev-python/django-tables2/django-tables2-2.6.0.ebuild
new file mode 100644
index 000000000000..3db8a9bb8dd1
--- /dev/null
+++ b/dev-python/django-tables2/django-tables2-2.6.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Table/data-grid framework for Django"
+HOMEPAGE="
+ https://pypi.org/project/django-tables2/
+ https://github.com/jieter/django-tables2/
+"
+SRC_URI="
+ https://github.com/jieter/django-tables2/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+SLOT="0"
+LICENSE="BSD-2"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/django-3.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/django-filter[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/psycopg:2[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ )
+"
+
+src_prepare() {
+ # these tests require tablib
+ rm tests/test_export.py tests/test_templatetags.py || die
+ # these tests require fudge
+ rm tests/test_config.py || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ "${EPYTHON}" manage.py test -v 2 tests || die
+}
diff --git a/dev-python/fitsio/Manifest b/dev-python/fitsio/Manifest
index 7938edaf8e1d..47907714c81a 100644
--- a/dev-python/fitsio/Manifest
+++ b/dev-python/fitsio/Manifest
@@ -1,5 +1,7 @@
+DIST fitsio-1.1.10.gh.tar.gz 5052842 BLAKE2B 1d0fb90fa23b3adf1ab172c89f9475b59d1bc909b225129c923bd27391af2844d4b56134568ed07124b9152000fb1325a2225997048d18aa596246d609888b28 SHA512 d0e28f1892640404a2514832e1d68ac202de4c3d3a840c783e6eb3de381f2180136eaec856bd7ab1b236b67c273417a137121137f6d1e66ee6bb2becdc522fa6
DIST fitsio-1.1.8.gh.tar.gz 5052021 BLAKE2B fd54450ccce61a502b803e85df92821a0f64c91e6c8a535b09da6d6e68df1a0299ffc57e87b514d46f635d83dbabc15dc67a99d84fc93ca11ba052fab9472210 SHA512 8ff7c675d39c74ae821dde29ebbfaa5686a4c8e4454bf6ec4b7edce2f6a2e026aa3fac584af1647e7913748202c8c8e3d58deba9bf07253e3fe4606fd2b52c93
DIST fitsio-1.1.9.gh.tar.gz 5052730 BLAKE2B 4169eed73e825f37bc5f5e6a2b27942b08f14d0e38c8037aa094031cd1b85e60ba3be8499c7d1225e78c093581aafe681177e4acb7da553bda2b0992ea38d6f2 SHA512 9840e9e48a11d454bd02cf19167ba977fa624842172ac538c7d9c5a446fbe0ef6fa7ee146f3878232e5b35570b2eec731e597503346adcfab38a1d0bada2b463
+EBUILD fitsio-1.1.10.ebuild 844 BLAKE2B 661325831bde490efb920a248072c553e320fa47923d9a7fc12859259e0889a13e7307e9575b91ae4d53cae1fae7ff0c147240382e6301d9529ec261786b3e7c SHA512 d73efd7407f39d1fbc3318999f6ba65bd6d388bff9c14a82891b76bd4f28691a45dbbfe9a8aa201e886f1917bde6331effda6e9e033a6dddc894eaac902ba592
EBUILD fitsio-1.1.8.ebuild 825 BLAKE2B 03300c60b7791ca97778a40eb2fad32107f41338f5167f0a7e5148719e6cab7f1c664064e93fa49ece9c35e3477059e07079b46769fd82fe6ab78ece5daa9bb3 SHA512 b0a911123ae926228e5a4138b1c1e981e3a4b8f07a639c8847b40578c4dbc22cfac1afe8ad40774b1cd8655213d19f482eef804f80d9a5cc14abde87528de579
EBUILD fitsio-1.1.9.ebuild 844 BLAKE2B adcb5e8381414fb1d00cc726a89500ac713f04ec4f14c366c9bdf96db6866eb8a06bf7c2db167ab7c1aef49563b3714c0b41473dea8eee5409fe5ea34a765007 SHA512 28447da9b7de37db1397b2ea56a19febe31741f130acd98fcb94d75d22c9f55eb34d724d48b1903e9e3f37d50a931d1bc42cb933ebc7291b8759793a2a7cc66e
MISC metadata.xml 947 BLAKE2B d51c4feb2baade20680a4568b05c28e217d4216f6035dfcbda05876bb7c4d804dc2b02576e2e67eb2b1890e18c86bca9ab4644b0fee69d213ece257d204681d5 SHA512 e8a29ec957adf538929d3639723cfe317c57f6c1d5b7a89a697a0f99dacdab1e21edb774acdb2dcb426f90e1221f9d0b9c008abaf462354d42797ab6bacf9162
diff --git a/dev-python/fitsio/fitsio-1.1.10.ebuild b/dev-python/fitsio/fitsio-1.1.10.ebuild
new file mode 100644
index 000000000000..61d611cbdaa4
--- /dev/null
+++ b/dev-python/fitsio/fitsio-1.1.10.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library to read from and write to FITS files"
+HOMEPAGE="
+ https://github.com/esheldon/fitsio/
+ https://pypi.org/project/fitsio/
+"
+SRC_URI="
+ https://github.com/esheldon/fitsio/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+DEPEND="
+ >=dev-python/numpy-1.11[${PYTHON_USEDEP}]
+ sci-libs/cfitsio:0=
+"
+RDEPEND="
+ ${DEPEND}
+"
+
+distutils_enable_tests pytest
+
+src_configure() {
+ cat >> setup.cfg <<-EOF || die
+ [build_ext]
+ use_system_fitsio = True
+ EOF
+}
+
+python_test() {
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+ epytest
+}
diff --git a/dev-python/humanize/Manifest b/dev-python/humanize/Manifest
index 3dae748226f5..cfabfed9b159 100644
--- a/dev-python/humanize/Manifest
+++ b/dev-python/humanize/Manifest
@@ -1,3 +1,5 @@
DIST humanize-4.6.0.tar.gz 69815 BLAKE2B e32195b87080598ee0d024526c2631e9498c0019e344a2b3babbfea657a4d36611cb53e74e33634f26fa184fa1526ee700253b4f6a48b241a231b794669f31f0 SHA512 3c003d645d33b4d31ffa5a63b8754b939579a6ed396cd285789f9bd17e750147c425d41adb424af45d69844c6e2b9be8fed04f388f017f25c6eda1f31c053b3e
+DIST humanize-4.7.0.tar.gz 72028 BLAKE2B 86926d24ca20168cd1f5dc37aad38a53be59ab786bd02c25ba54930854b4459949bfa988f3135c97f15cc51b2b9fcdcb32f85a668ddbb4af2b571d974523cc12 SHA512 2454c4b7dec6868a1626af560e4f87d7bfb8eac6a919c7d7c03254723ec58494f104f7fa365c64cb4cecf50cd6d498b4201f9fda6ac1f6d2980e9e54eebde738
EBUILD humanize-4.6.0.ebuild 534 BLAKE2B 786b5246753af04935bcaeb0a516073b2b9f4e1fef59e0ad68e6f5a7a276a47e3ae5c3b1634260d3db56bf68849ebce22bfc388cdfc5eadb749a28add48abec4 SHA512 05da0d3ea7945248b1778aa5dddf9852a260fad4bcc07d31fdafde05b68f8a08059b8b64f6b21386789efa2e6916f95a0ec78b5f877617b89c3081ab84703a36
+EBUILD humanize-4.7.0.ebuild 536 BLAKE2B 60fc046d0868f0e927ee77ef9332f410787692f550e8f2be6543bd937bade89ea3f657cf5e6650892d21e978975472d973719c4f5e769b9e5bfd6a60ba11e1bf SHA512 a3139d25a1495a091e1b47dc6877482355e0e6efded3ba71dcd1199bc1cf029b42a633612e0dd47d710fd6e3a125bee965703df0e362118472f7c3725de85018
MISC metadata.xml 506 BLAKE2B c00c304481f8bd5d2309a1fa72a19bd8405d2f8d55e68a9e688435dec5410db728537362d6fc090f448738fa462ad62d03cfdb82fda8702b91aced4ecd6c05d5 SHA512 71905cfb331f60723b2b3dc02b1a5cbc2712ea9a411692d8ce12e62ea90a4ebef41bb4806b90f9bc0706d8dfb6a3ebb69d23ef16f0177eaddcfbdf07612d8614
diff --git a/dev-python/humanize/humanize-4.7.0.ebuild b/dev-python/humanize/humanize-4.7.0.ebuild
new file mode 100644
index 000000000000..681e01638c1b
--- /dev/null
+++ b/dev-python/humanize/humanize-4.7.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Common humanization utilities"
+HOMEPAGE="
+ https://github.com/python-humanize/humanize/
+ https://pypi.org/project/humanize/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index dfe4b7d82b3c..5b9a61045c60 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -3,9 +3,11 @@ DIST hypothesis-6.79.0.gh.tar.gz 9377619 BLAKE2B 8e0650967f8552b3968f8627ef61119
DIST hypothesis-6.79.1.gh.tar.gz 9377826 BLAKE2B 13bf9383df81bf8aa504e4f1314958c98612bd507a935c749411008a25c9c1502cb157f4e80ae43b707486cfa5c4706c13118ea4c62d2cf8d7c40a8a811aba98 SHA512 aa52b85162ddb1fd1da8d01de4e47a5426831791c402fe589090474070608b98e40e8fcda197c18d7b8b4d13004afd0b04fb6f65f965e1af05b41005d3b38618
DIST hypothesis-6.79.2.gh.tar.gz 9377998 BLAKE2B 7b9aa513fa6bf535094ebf9b6aad51df0f9d3a3c0da9e1402a86c8f41b840efe76b97a8204ba746e933128b1586d4622ab784ea3f040b599a7b61c6d563e9f09 SHA512 af8573f99d128300d358362c7f1f7ad801d27a29c89be554bbaa5325ff406d7237b98090ce7ec79fb72b04819f22ce0a3bc27c28028615ac9de8fc4a58d24d27
DIST hypothesis-6.79.3.gh.tar.gz 9378262 BLAKE2B b5feccaa2a3e5af6e0cd688f5b9c78662af9dd044e188f295c922ae6aa7a0bd9e36a461d630c4217f376982e6f47e919b0cb75b8f6bc78056fa8b146b0fc88cb SHA512 6f6b18f6313fcf0d2151ec76d7f97793e181403e8d30c51dd251439f3bc0e204a3b74134017f7e88934eb779a8756f6c541a5ac52041222f1f350f0a7172563e
+DIST hypothesis-6.80.0.gh.tar.gz 9376080 BLAKE2B 49aa0e60d520aaf5c76767dfade32d5ebc40c6bc7d6a20937c1134fb0b3904a62778f83e01074060dc1614045d2c4ea559a27fb5ef1634b8adf90a38c359daa7 SHA512 30e0698422d4f1b4c3c592ad86555a7347975ff2ed4d9c50a6672610981dadb2c3c1eae7f42e08075e529b095b13703129c90f22be3f8f40b39482fa8c80118b
EBUILD hypothesis-6.76.0.ebuild 3046 BLAKE2B 6080dbb1a97b85524998d448d50228069e5e43c3b22cd587f940d3ca8534fc84ac044390f4b504bef025796d277bb05a1ff6e61af546c1e26b6210beccf5f985 SHA512 565f63ff85fdaf0a2c80ff30470ea936ae60396ee0486c47dfa020d574fdce586cf6b7012281112ad38372d24ed4e0f9c558811a037db8159628fd9e9065fa8f
EBUILD hypothesis-6.79.0.ebuild 3054 BLAKE2B bf986d67fe5bd3a4ef72229835f97404c73f7beef0b112a45ba958c4385c6197d5567fb8c154d83cb80912c51995106f5d3ed430288776ee0c01bc4e21f8713c SHA512 bd251c47b821ad6eb9ab1e68f08c2542e58724e4cce3384b0ad476b83577fe6135fa0d0abe5494b3c89af38962ba458d53f1e07018dcf04bed15881f26dcd7be
EBUILD hypothesis-6.79.1.ebuild 2837 BLAKE2B b51c8c2a5d7ad3363df503fe930a264cb898236f16f049ef03c4be42fab1844a9666d36b86e43ea70ff7619f8e87abd886e9143c544ad12a332cd965106c3f2e SHA512 4e8781450d232e7ca806b8af7870e04f388fa3c57bf6f84832034d68c259982253f2fc7de05ec1ab49573d5074ae0eb8575e079c42296aff217485092d407f80
EBUILD hypothesis-6.79.2.ebuild 2837 BLAKE2B b51c8c2a5d7ad3363df503fe930a264cb898236f16f049ef03c4be42fab1844a9666d36b86e43ea70ff7619f8e87abd886e9143c544ad12a332cd965106c3f2e SHA512 4e8781450d232e7ca806b8af7870e04f388fa3c57bf6f84832034d68c259982253f2fc7de05ec1ab49573d5074ae0eb8575e079c42296aff217485092d407f80
EBUILD hypothesis-6.79.3.ebuild 2837 BLAKE2B b51c8c2a5d7ad3363df503fe930a264cb898236f16f049ef03c4be42fab1844a9666d36b86e43ea70ff7619f8e87abd886e9143c544ad12a332cd965106c3f2e SHA512 4e8781450d232e7ca806b8af7870e04f388fa3c57bf6f84832034d68c259982253f2fc7de05ec1ab49573d5074ae0eb8575e079c42296aff217485092d407f80
+EBUILD hypothesis-6.80.0.ebuild 2479 BLAKE2B dcb727363a991aa3814df8263bb2be7fa205e1ac6ecd4e88dd19f85b8c49ced24e11281ac6f5f2981bd69c05219ab15685661390b5e2def8a1864c64b57a6112 SHA512 bf0c1d09db507fb52a18cef8e5bd35fd6ed8b5e422177f9631888a0e7160556383155a2781207bc09c5d6535a378d8a5296b42925fd656c76fe5e64fc86998d8
MISC metadata.xml 492 BLAKE2B c9e9bbd59af55d1f47e5b7a86933c02b47f832122d03eaca56bd3ec9476cf260d91d4fd2da5068845d4525b7cc9f702b515e8d6a0dffa7923f5898cfd44e12a1 SHA512 166b33d6ac887f52d54fb9d556102038c00650a597d2de1c3aad3f8b5e136e9b6b7db31f05f3379435e4c5f943156d5839d78fc95461af411037a3162ea6705e
diff --git a/dev-python/hypothesis/hypothesis-6.80.0.ebuild b/dev-python/hypothesis/hypothesis-6.80.0.ebuild
new file mode 100644
index 000000000000..16dd6b062df8
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.80.0.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{10..11} )
+PYTHON_COMPAT=( "${CLI_COMPAT[@]}" python3_12 pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+ ' 3.9 3.10)
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/requests-toolbelt-0.10.1
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,pytest_forked,_hypothesis_pytestplugin
+
+ # NB: paths need to be relative to pytest.ini,
+ # i.e. start with hypothesis-python/
+ local EPYTEST_DESELECT=()
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ # failing due to warnings from numpy/cython
+ hypothesis-python/tests/pytest/test_fixtures.py::test_given_plus_overridden_fixture
+ )
+ ;;
+ esac
+
+ epytest -o filterwarnings= -n "$(makeopts_jobs)" \
+ tests/cover tests/pytest tests/quality
+}
+
+python_install() {
+ distutils-r1_python_install
+ if ! use cli || ! has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ rm -r "${ED}/usr/bin" "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/multipledispatch/Manifest b/dev-python/multipledispatch/Manifest
index d374fc36e92e..933edffad706 100644
--- a/dev-python/multipledispatch/Manifest
+++ b/dev-python/multipledispatch/Manifest
@@ -1,3 +1,5 @@
DIST multipledispatch-0.6.0.gh.tar.gz 23692 BLAKE2B 4f73f05382c4aefbe3706839a18ba68d8ca0ed025744fe67d2069a770c517821d726913e5757dfe0ebe4628738b4b3dc83c76049f2beb4411b3679f574cc5f8d SHA512 34cefbceef1c756d06f0fbcf34709b70750928e21b1d5f02eef61eec3d5b8ce29475bfe4c53943f3fa9264b4de1f2524d813c6723927e576cd83771b6a4fcaf8
+DIST multipledispatch-1.0.0.gh.tar.gz 24244 BLAKE2B e10b19fcfd781aeb613bb4858243a888642bd588e9b167cf35902a4d1ba8e3461ce51edd6e3eb1bae092462774933c93638e03dd1632234e8370c5d9677425e9 SHA512 67237fa7736adc41ea3a27c5916ba5ed958619a1420390c0bab52c313b4423d4facb76fe8286bf2e831b366e6bf6d989716155901fc2acefe96c65ac5add45f3
EBUILD multipledispatch-0.6.0-r1.ebuild 707 BLAKE2B c5f493faf029116a171fa3094729d8ef58ba17a27fefdfeb7138221b018293d3ef6879aa3d6ce8b74fcaf60bff5370fabcd873ed97fc7638474c30fac027de3e SHA512 df22a6aa5573a17646d7f0694a59008f14a4de2611d1c6e7f30cf8486b4007570686a7d12c650f08da338b3cda667038e0ec090343f480a1ad5ce198329ca409
+EBUILD multipledispatch-1.0.0.ebuild 666 BLAKE2B c67976ea5fa4579b03ff304c664e177d80a8587087c3bc089d90cf0b7ddf87f04ffda01bcbf6a41aa38be1c6dfc846134116f5432112791186b3210ad83b02a6 SHA512 a7ec727ed020e482647e95ae08e62ea734240de554e7a6fcbc18233c0ae850b6cf5e5bc9b40153f6b800a92474e7efebb57b4674b59af50cfc2cad5b82842ece
MISC metadata.xml 464 BLAKE2B a464e3fc85e98875517a3d4b074d10f9fa6551d3efd9c809fe5aeb4ec52a98a8ca013fdae69b14eb936fabbbe13ead24bc9df5fbe1517d76afde445307b82ca2 SHA512 bee687d0f5502a80f129ae755eedb4aaeba508789f118cf7409ac01f8e81c2de9aa48ea85c9479edfc3b7e8337768402758bda94e602e9694b6b26230fb7d099
diff --git a/dev-python/multipledispatch/multipledispatch-1.0.0.ebuild b/dev-python/multipledispatch/multipledispatch-1.0.0.ebuild
new file mode 100644
index 000000000000..5ba1f62d385f
--- /dev/null
+++ b/dev-python/multipledispatch/multipledispatch-1.0.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Multiple dispatch"
+HOMEPAGE="
+ https://pypi.org/project/multipledispatch/
+ https://github.com/mrocklin/multipledispatch/
+"
+SRC_URI="
+ https://github.com/mrocklin/multipledispatch/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~riscv ~x86"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ multipledispatch/tests/test_core.py::test_multipledispatch
+ multipledispatch/tests/test_benchmark.py
+)
diff --git a/dev-python/portend/Manifest b/dev-python/portend/Manifest
index cc3f80e1f5a5..63db7c92deaa 100644
--- a/dev-python/portend/Manifest
+++ b/dev-python/portend/Manifest
@@ -1,3 +1,5 @@
DIST portend-3.1.0.tar.gz 9448 BLAKE2B d9391577ecc6f878ebbceb07266f06902352076fb61164b5e905a3ed0a557ce5dafcd8e3c77a099aab97fa576aee5be024d98f457e3b333aa80dbd534167218b SHA512 017dff68ea85f48d19398f71fbd8189329ca9c27c05d8599dd5e53632eb5ddc6dea322e94c924a0653f25f042a3c8ee1cda5f8450b02f3406a72036d54cd1aaf
+DIST portend-3.2.0.tar.gz 10514 BLAKE2B f60a800d37e61400e173507146f33ed6977cb0020773f5d2b6fba0a155bfd7e101e00bf057604ec0f25f5cd6f1bb57e3bfe2fc2bbe75b00f55c234f597a1f3f6 SHA512 56790cdb6d1619e8873acc2498f9bee758a64ad8f8e47f31e48ae1ac7b6f038fc81af5d52cbc4bc4797dd6dc25d453d391d73d454c98559b1d6a8e9061837d7f
EBUILD portend-3.1.0.ebuild 606 BLAKE2B e95d50d68f156dcf2c09db9539013b6ca1d3bbc4edab1a66b7642f0d93f83548ff0e1e689f3a62fb57e8b60e272eb650f0854d582bfe60ea7164152759307d5e SHA512 89e1496895a5b91e34fab35e5006f785d2cecd1a8b8b1d38e53bd47cdf7ebec9774dae31c8e6aa2e82f50bee6c841853c4e6867b1f1acf3647ee2425500111bc
+EBUILD portend-3.2.0.ebuild 615 BLAKE2B 683432677c00433094d2b31a7c8abfda4e2191ee043354cdb1b0fe0534a18199c759f666fef9b9293e27c4511df8df40ec84f4eef4b6f4736597a767bf2d5a5b SHA512 ec7c8076012ad48676fbbf59ad5225eac503430578c4479bbdc4636260fed3b36cf12666df162f5dcfe883780cf065c8f9f13cc0a1cf2053aa3284dcf5cb3096
MISC metadata.xml 494 BLAKE2B 00d31a220312e6d69d0a037174e45cc0e5ecbd963de8e513b6b0358ff40acbedc73e316801daad373e4007ec978f5097b4c00e25f2198ce86d5dcd879c4f2e2d SHA512 ca046a5e36611bd83928b4202c24af68aa7cc1cafbf2bd62a86ad4751226389885ef3aab6be8a25ba17513c89924901d5ac2a31ff27a2798506bbf2f09df2ed2
diff --git a/dev-python/portend/portend-3.2.0.ebuild b/dev-python/portend/portend-3.2.0.ebuild
new file mode 100644
index 000000000000..c25a4f5ef931
--- /dev/null
+++ b/dev-python/portend/portend-3.2.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="TCP port monitoring utilities"
+HOMEPAGE="
+ https://github.com/jaraco/portend/
+ https://pypi.org/project/portend/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ >=dev-python/tempora-1.8[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/pypdf/Manifest b/dev-python/pypdf/Manifest
index 672a983a51c8..f7f4dc224ece 100644
--- a/dev-python/pypdf/Manifest
+++ b/dev-python/pypdf/Manifest
@@ -1,6 +1,9 @@
DIST pypdf-3.10.0.gh.tar.gz 7558639 BLAKE2B 4c3bc668ae750e1ff78837459704fa24fbc8cdd90bb43c28e60140b3f3d2282d609460ec184d439d3121b284307236b8768ebc121679ed19e43efe43c5da5533 SHA512 e34072c21aa2caca7a3c99c754175fa3ccd42f69dbaaa92c52fbf1e1fb5e70245d3571305987d79f897769726c075d98313e07e9acf7817763a2522b16ddc424
DIST pypdf-3.11.0.gh.tar.gz 7560736 BLAKE2B 171c242e819cb417004aaba6341a38e8b89eec1346d6bdf899320da220f6368e38fee268ae2a90e308fd142c33411acf89a82bf00aa1220c9c697c052255e7a1 SHA512 f2f8d6e1035a8b2d14d6750c64e46e14b119324e08a3f808e5cacb7144c5c3ce3db65248010d13d520bc57915ea0f5f9a4b78db72ae430b46f614b2c0d5f7359
+DIST pypdf-3.11.1.gh.tar.gz 7560136 BLAKE2B fa6b415b2b98a5e4a8d67bfdf38a81922ddf724fdbb17581c035294565e7c953e9e9ad190dcdc4172ba78b6e8e7c7a4df008e6ca30f88337aad5ee04523e2b81 SHA512 061265b4263396c3a204a8741cd8200408ca0c00520b022d54acb10a2902ed61a54a7990d47c91a9b292653ef98005c00084f0d61f7e79b5e8f617896dbaa7bb
+DIST pypdf-sample-files-2cf1e75af7bcb9c097deae6fb112c715d4721744.gh.tar.gz 10226061 BLAKE2B a9b32d6cd3d22bbc0aee54ca3e914c4d2eb2a9a44a1a508e54e0a8fbcb5fad9ab05e72cf66553a1b5595131104ff22dea115d2804d2970200c4cf5f808532174 SHA512 f064f0468b07bf705a1d0f3a0fc6fe535c234a39408dca268f223e7c3548e66f599a4e67156e7848b70e9a3bd1bc2756395dd93b0c828ee08fe2bb8833f2b196
DIST pypdf-sample-files-69b31cff6b183a42f9081709ef9bee4047976f56.gh.tar.gz 9044391 BLAKE2B 9a9bcfbacabf3c80073a440f54736728cba4ea92d1a817ce98bcaf9375340d95e453f45207f53ac878ef5c13bc4ca7d0d4488b79f205f396e960ed042680ca01 SHA512 32b4572d60a0aadba02485f11c84712c1f5f0a75f7acd6fb27f1df00cb2a8ae338a1001e6519f66c248efbd129aba1a2ad568e930ce90bd542c8dc58f383386a
EBUILD pypdf-3.10.0.ebuild 1140 BLAKE2B 424f6cb5fd2920fd8908e57a5f87acbec43dc360a6c72b54c614bd8cdf88c8d6be43e3c03905f7cc4fe0488d5a9c5805d4e0b7d4bcda7796fefbe2d209f40d8f SHA512 29f1ad2940dc53b051ed95c8535b34f5ed1a058483fa2f96815c9823e58ab124edb815b87aaba7ea4ee7edbd4809b1daa72b640031ffc99a94d965d227527774
EBUILD pypdf-3.11.0.ebuild 1203 BLAKE2B 3a035cd9dcb4b8d1892da172c61e36df4cca742773567130ddc6f13f7580daee9ac467e09e4acb404ab50a253c5cfc579ed49ea41e56bf47febbb7bb8b10a0ac SHA512 9a255de348c35b327fe7d626912fbb24f459951ddc44d46604d1b0826893574b82cb53bf7749a42580b4e130b630ea66330e9da86ecd1dbf602b79188ded4dd7
+EBUILD pypdf-3.11.1.ebuild 1203 BLAKE2B caa399ac17268d2e80a6e0fdcc39b1f2846755d1334d5393b5d87f1c62b76209254c2e177551ab6b9290a48cb8cbfb5ab8537190c427efbb5480795d57e585fc SHA512 0003c262465ceef4d2cc6ffde4cd3cb9f14ca821ad5c93a0d8dfa887d1867e53da14b1e53e0d5a8caf720670f8a3ddb0ddcf8ebaac061a584990c715471c1836
MISC metadata.xml 373 BLAKE2B a829b7048eb3a95caeb1be83b6172603df6a031d40995294f2687bf3c3cb70e66fafb9ba8339d9979fc85f5936b9552963a8fcd072a20661fa78f3aa3c4b89c0 SHA512 775ac2de487f11fba1ea8d283b42b9ef56e42cd95ea11f50a06b099420e69c0567f65c506b14891ac641da90ea05ca70da4f8a3e4a028cf41bdbc823021dccfe
diff --git a/dev-python/pypdf/pypdf-3.11.1.ebuild b/dev-python/pypdf/pypdf-3.11.1.ebuild
new file mode 100644
index 000000000000..daa02ffcff0c
--- /dev/null
+++ b/dev-python/pypdf/pypdf-3.11.1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+SAMPLE_COMMIT=2cf1e75af7bcb9c097deae6fb112c715d4721744
+DESCRIPTION="Python library to work with PDF files"
+HOMEPAGE="
+ https://pypi.org/project/pypdf/
+ https://github.com/py-pdf/pypdf/
+"
+SRC_URI="
+ https://github.com/py-pdf/pypdf/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ test? (
+ https://github.com/py-pdf/sample-files/archive/${SAMPLE_COMMIT}.tar.gz
+ -> ${PN}-sample-files-${SAMPLE_COMMIT}.gh.tar.gz
+ )
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/pillow[jpeg,jpeg2k,tiff,${PYTHON_USEDEP}]
+ dev-python/pycryptodome[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # rely on -Werror
+ tests/test_utils.py::test_deprecate_no_replacement
+ tests/test_workflows.py::test_orientations
+ # TODO: requires fpdf
+ tests/test_page.py::test_compression
+)
+
+src_unpack() {
+ default
+ if use test; then
+ mv "sample-files-${SAMPLE_COMMIT}"/* "${S}"/sample-files/ || die
+ fi
+}
+
+python_test() {
+ epytest -o addopts= -m "not enable_socket"
+}
diff --git a/dev-python/tempora/Manifest b/dev-python/tempora/Manifest
index 582d5c73ea82..d01942437053 100644
--- a/dev-python/tempora/Manifest
+++ b/dev-python/tempora/Manifest
@@ -1,5 +1,7 @@
DIST tempora-5.2.2.tar.gz 20957 BLAKE2B f8463e544534c0d90bc90da7ed2a829a7afeba54b9c8f21cb831680caba493075b58544560a940d2449e4c9e4803be62413ea1029ee0ce80772ab212ff84a13e SHA512 2031f9ddca66fb0aa93aa1e1162450a3a14e17c41acd19fc657f3c0cd0c058487c9b1377c9f319b15c7f3c39393d184eabfa62038d0493fc3808b6557dfee2cb
DIST tempora-5.3.0.tar.gz 20735 BLAKE2B 8e93ec6d680bf08877cce21403c8a2bd597980a8df9685c18f03c298fb986c3a6bafd1e8d2a1ab1bcd1b8a928b9259db87aafd6dd9e4eb652be71ab7540251f5 SHA512 0bc82318e275792e0ad7d56ac46b78fd6e75b8fc3b6a57b7138ed7800a2f9f8ef7e64c855bc54ac48e190bfd05e9ea3397b45544e4dcfb2e2905946d76bb2622
+DIST tempora-5.5.0.tar.gz 20877 BLAKE2B 9978fbf5bea1ec9d948ba7440dcbe61e591f32cd6a9db7072beda0d2cec9fdcf1c8793117afdc445d8389446856b11c45b1b93cb27220454180a765008d2b1f5 SHA512 7cf1d7f826e71e03bb733f082f0ac1e8746f1db64776c436fe683369c70164902140df9547757d8ed489366a5f7b336415aec076ea3c4b0b7b633ed09527f01b
EBUILD tempora-5.2.2.ebuild 772 BLAKE2B 651270ec123c34560c1ec20ff2279967335ccec8a563203839f203a0cf2d883ce29e4d3eed4da1206cf45492abba7a235b9e53675783d7d5475248df3583cd99 SHA512 11f88f07c5925b84081d4de0dbe5941359280ad1e6c680d3328c0495539b1744a0fe504cb793b8c102fe2bc52dbd6f59873a3a4002c68269746cd7f1faff741d
EBUILD tempora-5.3.0.ebuild 780 BLAKE2B 5dfb971e6b23f80f3f8e4fa6447157a860469cec6f30d3aa9c0215ada59d508cbb1ffbb37bb416b53f3453388ac1d8f1fe45c99484e0013bd933a2e6fb66eaaf SHA512 e8c6900533dc82275414ca1f4c6cd12b72a8ffaa3465151f98036812cede19d228a732e2a6e5606c9e2137c3cfa3340b118e0bc096ff1b5ba8573a9e8c25e922
-MISC metadata.xml 640 BLAKE2B 322432e820c99b65ad749062afc4536889b21fc7d1dd4fd2dd4d4caec382a90d98db38be3ead24136f8a3049b2d68120be72799361a30a6f788facdbdb4706e7 SHA512 4123ddc1643539c3152c6200860ff19f69164aa22c2f040617e9933d2b75737e8e96b9b617341156a8bbcfee579d40e1f17edf56a2759a06646987dce676c238
+EBUILD tempora-5.5.0.ebuild 780 BLAKE2B 5dfb971e6b23f80f3f8e4fa6447157a860469cec6f30d3aa9c0215ada59d508cbb1ffbb37bb416b53f3453388ac1d8f1fe45c99484e0013bd933a2e6fb66eaaf SHA512 e8c6900533dc82275414ca1f4c6cd12b72a8ffaa3465151f98036812cede19d228a732e2a6e5606c9e2137c3cfa3340b118e0bc096ff1b5ba8573a9e8c25e922
+MISC metadata.xml 557 BLAKE2B 496ca69906103b5203131d5bcfd1249e39947857c883519953fd3f9730f9dd518e9d84f31643e152e8fa72423924c8dff7ae64b37c0dd8ffdb987cf7c00b491b SHA512 941db1a4f23e97334811a95d009d13fd04daee291fee43436cf938740f70dad09cc8482262a1a9cf9f838cf0a062d9373bc8d0e582da5b677999273f6967ed09
diff --git a/dev-python/tempora/metadata.xml b/dev-python/tempora/metadata.xml
index 3f4cae255a64..84178f053bde 100644
--- a/dev-python/tempora/metadata.xml
+++ b/dev-python/tempora/metadata.xml
@@ -14,6 +14,5 @@
<remote-id type="pypi">tempora</remote-id>
<remote-id type="github">jaraco/tempora</remote-id>
<bugs-to>https://github.com/jaraco/tempora/issues</bugs-to>
- <changelog>https://github.com/jaraco/tempora/blob/master/CHANGES.rst</changelog>
</upstream>
</pkgmetadata>
diff --git a/dev-python/tempora/tempora-5.5.0.ebuild b/dev-python/tempora/tempora-5.5.0.ebuild
new file mode 100644
index 000000000000..195e0a0d6778
--- /dev/null
+++ b/dev-python/tempora/tempora-5.5.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Objects and routines pertaining to date and time"
+HOMEPAGE="
+ https://github.com/jaraco/tempora/
+ https://pypi.org/project/tempora/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ >=dev-python/jaraco-functools-1.20[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pytest-freezegun[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest